This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 822093 - Review Request: perl-Module-Install-AutoManifest - Module::Install::AutoManifest Perl module
Review Request: perl-Module-Install-AutoManifest - Module::Install::AutoManif...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 06:19 EDT by Jitka Plesnikova
Modified: 2012-05-17 09:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-17 09:35:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2012-05-16 06:19:59 EDT
Spec URL: http://jplesnik.fedorapeople.org//perl-Module-Install-AutoManifest.spec
SRPM URL: http://jplesnik.fedorapeople.org//perl-Module-Install-AutoManifest-0.003-1.fc18.src.rpm

Description:
This module generate MANIFEST automatically.
Comment 1 Jitka Plesnikova 2012-05-16 06:20:06 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=4080976
Comment 2 Petr Šabata 2012-05-16 10:05:12 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/contyk/src/review/822093/Module-Install-AutoManifest-0.003.tar.gz :
  MD5SUM this package     : a799c35f4d9830b0f26f57cfd328006a
  MD5SUM upstream package : a799c35f4d9830b0f26f57cfd328006a
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[-]: SHOULD Spec use %global instead of %define.

Issues:
TODO: Add perl(Module::Install::Base) to your BuildRequires.
TODO: The Summary and %description don't really say much.  I know the upstream module page is also rather brief but I'd suggest using the current %description as Summary and possibly putting the first line documenting C<auto_manifest> into our package description instead.

Not real blockers but I'd like some feedback first.

Generated by fedora-review 0.2.0git
External plugins:
Comment 3 Jitka Plesnikova 2012-05-16 10:54:33 EDT
Fixed.
Comment 4 Petr Šabata 2012-05-17 05:15:39 EDT
Looks alright.  Approving.
Comment 5 Jitka Plesnikova 2012-05-17 05:27:39 EDT
New Package SCM Request
=======================
Package Name: perl-Module-Install-AutoManifest
Short Description: Module generates MANIFEST automatically
Owners: jplesnik mmaslano ppisar psabata
Branches: 
InitialCC: perl-sig
Comment 6 Gwyn Ciesla 2012-05-17 08:16:51 EDT
Git done (by process-git-requests).
Comment 7 Jitka Plesnikova 2012-05-17 09:35:40 EDT
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.